import random
import math
random.seed('personal01/arithnumbers')

class TestGen:
    def __init__(self):
        self.test_number = 0

    def generate_samples(self):
        print('Generating samples...')
        self.print_test('9', '15')
        self.print_test('90', '110')

    def generate_first_group_of_tests(self):
        print('Generating subtask1...')
        self.print_test('1', '1')
        self.print_test('1', '100')
        self.print_test('99', '19832')
        self.print_test('99', '99999')
        self.print_test('99', '100099')
        self.print_test('999990000', '1000000000')
        self.print_test('999900000', '1000000000')
        for i in range(10):
            l = random.randint(1, 10**9)
            r = min(10**9, random.randint(l, l + 10**5))
            self.print_test(l, r)

    def generate_random_number(self, length):
        number = ''
        ld = random.randint(1, 9)
        number += chr(ord('0') + ld)
        d = random.randint(-9, 9)
        for i in range(length - 1):
            ld = (ld + d + 10) % 10
            if i == length - 2:
                if random.randint(1, 2) == 1:
                    number += chr(ord('0') + ld)
                else:
                    number += chr(ord('0') + random.randint(0, 9))
            else:
                number += chr(ord('0') + ld)
        return number

    def generate_second_group_of_tests(self):
        print('Generating subtask2...')
        lengths = [5, 10, 50, 100, 10**3, 10**4, 10**5]
        for length in lengths:
            l = self.generate_random_number(length)
            prefix = random.randint(0, len(l))
            r = l[:prefix]
            i = prefix
            while i < len(l) and l[i] == '9':
                r += '9'
                i += 1
            if len(r) < len(l):
                d = ord(l[i]) - ord('0')
                r += chr(ord('0') + random.randint(d + 1, 9))
            for i in range(len(r), len(l)):
                r += chr(ord('0') + random.randint(0, 9))
            self.print_test(l, r)
        self.print_test('1' + ('0' * (10**5 - 1)), '9' * (10**5))

    def generate_third_group_of_tests(self):
        print('Generating subtask3...')
        for i in range(1, 11):
            self.print_test(1, 10**i)
        for i in range(5):
            k = random.randint(11, 10**5)
            self.print_test('1', '1' + ('0' * k))
        self.print_test('1', '1' + '0' * (10**5))

    def generate_fourth_group_of_tests(self):
        print('Generating subtask4...')
        lengths = [5, 10, 50, 100, 10**3, 10**4, 10**5 - 5, 10**5]
        for length in lengths:
            for i in range(3):
                l = self.generate_random_number(length)
                prefix = random.randint(0, len(l))
                r = l[:prefix]
                i = prefix
                while i < len(l) and l[i] == '9':
                    r += '9'
                    i += 1
                if len(r) < len(l):
                    d = ord(l[i]) - ord('0')
                    r += chr(ord('0') + random.randint(min(9, d + 1), 9))
                for i in range(len(r), len(l)):
                    r += chr(ord('0') + random.randint(0, 9))
                add = random.randint(0, 10**5 - len(r))
                for i in range(add):
                    r += chr(ord('0') + random.randint(0, 9))
                self.print_test(l, r)
        self.print_test('1' + ('0' * (10**5)), '1' + ('0' * (10**5)))

    def generate_max_tests(self):
        pass

    def print_test(self, l, r):
        self.test_number += 1
        print('Generating test %d' % self.test_number)
        
        test_name = '{0:0=2d}'.format(self.test_number)
        test_file = open(test_name, 'w')
        print(str(l), file=test_file)
        print(str(r), file=test_file)
        test_file.close()

    def generate_all_tests(self):
        #Samples
        self.generate_samples() 
        
        #First group of tests
        self.generate_first_group_of_tests()
        
        #Second group of tests
        self.generate_second_group_of_tests()

        #Third group of tests
        self.generate_third_group_of_tests()

        #Fourth group of tests
        self.generate_fourth_group_of_tests()

import time
start = time.time()
writer = TestGen()
writer.generate_all_tests()
finish = time.time()
print('All tests were generated. Elapsed time: ', finish - start)
