import java.io.*;
import java.util.StringTokenizer;

/**
 * @author Ilya Peresadin <pva701@gmail.com>
 * @created 27.09.16
 */
public class arithnumbers_ip implements Closeable {

    public static final int N = 100000;
    public static final int MAX_VAL = 1_000_000_000;

    FastScanner in;
    PrintWriter out;

    public arithnumbers_ip() throws IOException {
        in = new FastScanner(new File("arithnumbers.in"));
        out = new PrintWriter("arithnumbers.out");
    }

    @Override
    public void close() throws IOException {
        out.close();
    }

    public int compare(String a, String b) {
        if (a.length() < b.length())
            return -1;
        if (a.length() > b.length())
            return 1;
        for (int i = 0; i < a.length(); ++i)
            if (a.charAt(i) < b.charAt(i))
                return -1;
            else if (a.charAt(i) > b.charAt(i))
                return 1;
        return 0;
    }

    public void run() {
        String as = in.next();
        String bs = in.next();
        int alen = as.length();
        int blen = bs.length();
        int ans = 0;

        for (int fd = 1; fd < 10; ++fd) {
            if (compare(as, fd + "") <= 0 &&
                compare(bs, fd + "") >= 0)
                ans++;

            for (int d = 0; d < 10; ++d) {
                StringBuilder cur = new StringBuilder();
                cur.append((char)(fd + '0'));

                int lastDigit = (fd + d) % 10;
                for (; cur.length() == 1
                     || cur.length() < alen
                     || compare(as, cur.toString()) > 0;
                     cur.append((char)(lastDigit + '0')), lastDigit = (lastDigit + d) % 10);
                for (; cur.length() < blen || compare(bs, cur.toString()) >= 0;
                     cur.append((char)(lastDigit + '0')), lastDigit = (lastDigit + d) % 10, ans++);
            }
        }
        out.print(ans);
    }

    public static void main(String[] args) throws IOException {
        arithnumbers_ip instance = new arithnumbers_ip();
        instance.run();
        instance.close();
    }

    class FastScanner {
        BufferedReader br;
        StringTokenizer st;

        FastScanner(File f) {
            try {
                br = new BufferedReader(new FileReader(f));
            } catch (FileNotFoundException e) {
                e.printStackTrace();
            }
        }

        String next() {
            while (st == null || !st.hasMoreTokens()) {
                try {
                    st = new StringTokenizer(br.readLine());
                } catch (IOException e) {
                    e.printStackTrace();
                }
            }
            return st.nextToken();
        }

        int nextInt() {
            return Integer.parseInt(next());
        }
    }
}
