#include <cstdio>
#include <iostream>
#include <cassert>
#include <vector>
#include <map>
#include <string>
#include <algorithm>
#include <sstream>
#include "testlib.h"

using namespace std;

int cur_test = -1;
vector<long long> MAXN({100, (long long)1e5, (long long)1e15});


string itoa(int x) 
{
    stringstream ss;
    string s;
    ss << x;
    ss >> s;
    return s;
}

int atoi(string s) 
{
    stringstream ss;
    int x;
    ss << s;
    ss >> x;
    return x;
}


void write_test(long long n, long long k) 
{
    startTest(cur_test++);
    cerr << cur_test << endl;
    cout << n << ' ' << k << endl;
}


void gen_rand(long long maxn, bool n_greater, bool k_even)
{
    long long x = rnd.next(maxn) + 1;
    long long y = rnd.next(maxn) + 1;
    if ((x < y) == n_greater)
        swap(x, y);
    if (k_even != (y % 2 == 0))
    {
        if (y == maxn)
            y--;
        else
            y++;
    }
    write_test(x, y);    
}






int main(int argc, char * argv[]) 
{
    registerGen(argc, argv, 1);
    cur_test = atoi(argv[1]);
    for (int i = 0; i < (int)MAXN.size(); i++)
    {
        long long cur_max = MAXN[i];
        cerr << "start group: " << cur_max << endl;
        for (int j = 0; j < 2; j++) 
        {
            gen_rand(cur_max, true, true);
            gen_rand(cur_max, true, false);
            gen_rand(cur_max, false, true);
            gen_rand(cur_max, false, false);
        }
        write_test(cur_max, cur_max);
        write_test(cur_max, cur_max - 1);
        cerr << "end group: " << cur_max << endl;
    }
    return 0;
}